Get detailed tool information
curl --request GET \
--url https://api.agent-corex.com/v1/tools/{tool_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agent-corex.com/v1/tools/{tool_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agent-corex.com/v1/tools/{tool_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"name": "create-pull-request",
"server": "github-mcp",
"description": "Create a new pull request on GitHub",
"category": "version-control",
"tags": [
"github",
"git",
"pr",
"collaboration"
],
"inputSchema": {
"type": "object",
"properties": {
"repository": {
"type": "string"
},
"title": {
"type": "string"
},
"from_branch": {
"type": "string"
},
"to_branch": {
"type": "string"
}
}
},
"outputSchema": {
"type": "object",
"properties": {
"pr_number": {
"type": "integer"
},
"pr_url": {
"type": "string"
}
}
}
}
}{
"success": false,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Tools
Get detailed tool information
Retrieve complete information about a specific tool including input/output schemas, examples, and usage.
GET
/
tools
/
{tool_name}
Get detailed tool information
⌘I